<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>TangoTest.h</h1><a href="TangoTest_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre>00001 <font class="comment">//=============================================================================</font>
00002 <font class="comment">//</font>
00003 <font class="comment">// file :        TangoTest.h</font>
00004 <font class="comment">//</font>
00005 <font class="comment">// description : Include for the TangoTest class.</font>
00006 <font class="comment">//</font>
00007 <font class="comment">// project :    TANGO Device Server for testing generic clients</font>
00008 <font class="comment">//</font>
00009 <font class="comment">// $Author: taurel $N.Leclecq - SOLEIL</font>
00010 <font class="comment">//</font>
00011 <font class="comment">// $Revision: 1.1.1.1 $1.0  </font>
00012 <font class="comment">//</font>
00013 <font class="comment">// $Log: TangoTest_8h-source.html,v $
00013 <font class="comment">// Revision 1.1.1.1  2004/05/07 12:43:45  taurel
00013 <font class="comment">// Initial import
00013 <font class="comment">//</font>
00014 <font class="comment">//</font>
00015 <font class="comment">// copyleft :    European Synchrotron Radiation Facility</font>
00016 <font class="comment">//               BP 220, Grenoble 38043</font>
00017 <font class="comment">//               FRANCE</font>
00018 <font class="comment">//</font>
00019 <font class="comment">//=============================================================================</font>
00020 <font class="comment">//</font>
00021 <font class="comment">//              This file is generated by POGO</font>
00022 <font class="comment">//      (Program Obviously used to Generate tango Object)</font>
00023 <font class="comment">//</font>
00024 <font class="comment">//         (c) - Software Engineering Group - ESRF</font>
00025 <font class="comment">//=============================================================================</font>
00026 <font class="preprocessor">#ifndef _TANGOTEST_H</font>
00027 <font class="preprocessor"></font><font class="preprocessor">#define _TANGOTEST_H</font>
00028 <font class="preprocessor"></font>
00029 <font class="preprocessor">#include &lt;tango.h&gt;</font>
00030 <font class="comment">//using namespace Tango;</font>
00031 
00037 <font class="comment">//      Add your own constants definitions here.</font>
00038 <font class="comment">//-----------------------------------------------</font>
00039 
00040 <font class="keyword">namespace </font>TangoTest
00041 {
00042 
00049 <font class="comment">/*</font>
00050 <font class="comment"> *      Device States Description:</font>
00051 <font class="comment"> */</font>
00052 
00053 
<a name="l00054"></a><a class="code" href="classTangoTest_1_1TangoTest.html">00054</a> <font class="keyword">class </font>TangoTest: <font class="keyword">public</font> Tango::Device_2Impl
00055 {
<a name="l00056"></a><a class="code" href="classTangoTest_1_1TangoTest.html#l0">00056</a>   <font class="keyword">friend</font> <font class="keyword">class </font><a class="code" href="classTangoTest_1_1TangoTest.html#l0">DataGenerator</a>;
00057 
00058 <font class="keyword">public</font> :
00059   <font class="comment">//  Add your own data members here</font>
00060   <font class="comment">//-----------------------------------------</font>
00061 
00062 
00063   <font class="comment">//  Here is the Start of the automatic code generation part</font>
00064   <font class="comment">//------------------------------------------------------------- </font>
<a name="l00070"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_0">00070</a> <font class="comment"></font>                Tango::DevShort *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_0">attr_short_scalar_ro_read</a>;
<a name="l00071"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_1">00071</a>                 Tango::DevShort *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_1">attr_short_scalar_read</a>;
<a name="l00072"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_2">00072</a>                 Tango::DevShort <a class="code" href="classTangoTest_1_1TangoTest.html#z0_2">attr_short_scalar_write</a>;
<a name="l00073"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_3">00073</a>                 Tango::DevLong  *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_3">attr_long_scalar_read</a>;
<a name="l00074"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_4">00074</a>                 Tango::DevLong  <a class="code" href="classTangoTest_1_1TangoTest.html#z0_4">attr_long_scalar_write</a>;
<a name="l00075"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_5">00075</a>                 Tango::DevDouble        *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_5">attr_double_scalar_read</a>;
<a name="l00076"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_6">00076</a>                 Tango::DevDouble        <a class="code" href="classTangoTest_1_1TangoTest.html#z0_6">attr_double_scalar_write</a>;
<a name="l00077"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_7">00077</a>                 Tango::DevString        *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_7">attr_string_scalar_read</a>;
<a name="l00078"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_8">00078</a>                 Tango::DevString        <a class="code" href="classTangoTest_1_1TangoTest.html#z0_8">attr_string_scalar_write</a>;
<a name="l00079"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_9">00079</a>                 Tango::DevShort *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_9">attr_short_spectrum_read</a>;
<a name="l00080"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_10">00080</a>                 Tango::DevLong  *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_10">attr_long_spectrum_read</a>;
<a name="l00081"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_11">00081</a>                 Tango::DevDouble        *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_11">attr_double_spectrum_read</a>;
<a name="l00082"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_12">00082</a>                 Tango::DevShort *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_12">attr_short_image_read</a>;
<a name="l00083"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_13">00083</a>                 Tango::DevLong  *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_13">attr_long_image_read</a>;
<a name="l00084"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_14">00084</a>                 Tango::DevDouble        *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_14">attr_double_image_read</a>;
<a name="l00085"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_15">00085</a>                 Tango::DevShort <a class="code" href="classTangoTest_1_1TangoTest.html#z0_15">attr_short_scalar_w_write</a>;
<a name="l00086"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_16">00086</a>                 Tango::DevShort *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_16">attr_short_scalar_rww_read</a>;
<a name="l00087"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_17">00087</a>                 Tango::DevLong  <a class="code" href="classTangoTest_1_1TangoTest.html#z0_17">attr_long_scalar_w_write</a>;
<a name="l00088"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_18">00088</a>                 Tango::DevLong  *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_18">attr_long_scalar_rww_read</a>;
<a name="l00089"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_19">00089</a>                 Tango::DevDouble        <a class="code" href="classTangoTest_1_1TangoTest.html#z0_19">attr_double_scalar_w_write</a>;
<a name="l00090"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_20">00090</a>                 Tango::DevDouble        *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_20">attr_double_scalar_rww_read</a>;
<a name="l00091"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_21">00091</a>                 Tango::DevDouble        <a class="code" href="classTangoTest_1_1TangoTest.html#z0_21">attr_ampli_write</a>;
<a name="l00092"></a><a class="code" href="classTangoTest_1_1TangoTest.html#z0_22">00092</a>                 Tango::DevDouble        *<a class="code" href="classTangoTest_1_1TangoTest.html#z0_22">attr_wave_read</a>;
00094 
00100 
00101 
00111         <a class="code" href="classTangoTest_1_1TangoTest.html#z2_0">TangoTest</a>(Tango::DeviceClass *,string &amp;);
00118         <a class="code" href="classTangoTest_1_1TangoTest.html#z2_0">TangoTest</a>(Tango::DeviceClass *,<font class="keyword">const</font> <font class="keywordtype">char</font> *);
00126         <a class="code" href="classTangoTest_1_1TangoTest.html#z2_0">TangoTest</a>(Tango::DeviceClass *,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *);
00128 
00135         <a class="code" href="classTangoTest_1_1TangoTest.html#z3_0">~TangoTest</a>();
00137 
00138         
00144         <font class="keyword">virtual</font> <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTest.html#z4_0">init_device</a>();
00148         <font class="keyword">virtual</font> <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTest.html#z4_1">delete_device</a>();
00152         <font class="keyword">virtual</font> <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTest.html#z4_2">always_executed_hook</a>();
00153 
00155 
00164         <font class="keyword">virtual</font> <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTest.html#z5_0">read_attr_hardware</a>(vector&lt;long&gt; &amp;attr_list);
00168         <font class="keyword">virtual</font> <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTest.html#z5_1">read_attr</a>(Tango::Attribute &amp;attr);
00172         <font class="keyword">virtual</font> <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTest.html#z5_2">write_attr_hardware</a>(vector&lt;long&gt; &amp;attr_list);
00177         <font class="keywordtype">void</font>    <a class="code" href="classTangoTest_1_1TangoTest.html#z5_3">dev_void</a>();
00184         Tango::DevBoolean       <a class="code" href="classTangoTest_1_1TangoTest.html#z5_4">dev_boolean</a>(Tango::DevBoolean);
00191         Tango::DevShort <a class="code" href="classTangoTest_1_1TangoTest.html#z5_5">dev_short</a>(Tango::DevShort);
00198         Tango::DevUShort        <a class="code" href="classTangoTest_1_1TangoTest.html#z5_6">dev_ushort</a>(Tango::DevUShort);
00205         Tango::DevLong  <a class="code" href="classTangoTest_1_1TangoTest.html#z5_7">dev_long</a>(Tango::DevLong);
00212         Tango::DevULong <a class="code" href="classTangoTest_1_1TangoTest.html#z5_8">dev_ulong</a>(Tango::DevULong);
00219         Tango::DevFloat <a class="code" href="classTangoTest_1_1TangoTest.html#z5_9">dev_float</a>(Tango::DevFloat);
00226         Tango::DevDouble        <a class="code" href="classTangoTest_1_1TangoTest.html#z5_10">dev_double</a>(Tango::DevDouble);
00233         Tango::DevString        <a class="code" href="classTangoTest_1_1TangoTest.html#z5_11">dev_string</a>(Tango::DevString);
00240         Tango::DevVarCharArray  *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_12">dev_var_char_array</a>(<font class="keyword">const</font> Tango::DevVarCharArray *);
00247         Tango::DevVarShortArray *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_13">dev_var_short_array</a>(<font class="keyword">const</font> Tango::DevVarShortArray *);
00254         Tango::DevVarUShortArray        *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_14">dev_var_ushort_array</a>(<font class="keyword">const</font> Tango::DevVarUShortArray *);
00261         Tango::DevVarLongArray  *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_15">dev_var_long_array</a>(<font class="keyword">const</font> Tango::DevVarLongArray *);
00268         Tango::DevVarULongArray *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_16">dev_var_ulong_array</a>(<font class="keyword">const</font> Tango::DevVarULongArray *);
00275         Tango::DevVarFloatArray *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_17">dev_var_float_array</a>(<font class="keyword">const</font> Tango::DevVarFloatArray *);
00282         Tango::DevVarDoubleArray        *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_18">dev_var_double_array</a>(<font class="keyword">const</font> Tango::DevVarDoubleArray *);
00289         Tango::DevVarStringArray        *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_19">dev_var_string_array</a>(<font class="keyword">const</font> Tango::DevVarStringArray *);
00296         Tango::DevVarLongStringArray    *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_20">dev_var_long_string_array</a>(<font class="keyword">const</font> Tango::DevVarLongStringArray *);
00303         Tango::DevVarDoubleStringArray  *<a class="code" href="classTangoTest_1_1TangoTest.html#z5_21">dev_var_double_string_array</a>(<font class="keyword">const</font> Tango::DevVarDoubleStringArray *);
00304 
00308          <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTest.html#z5_22">get_device_property</a>();
00310 
00311         <font class="comment">//      Here is the end of the automatic code generation part</font>
00312         <font class="comment">//------------------------------------------------------------- </font>
00313 
00317   <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTest.html#a0">gen_data</a> (<font class="keywordtype">void</font>);
00318 
00319 <font class="keyword">protected</font> : 
00320   <font class="comment">//  Add your own data members here</font>
00321   <font class="comment">//-----------------------------------------</font>
00322   <font class="comment">// Device property: multi-threaded impl (true/false)</font>
<a name="l00323"></a><a class="code" href="classTangoTest_1_1TangoTest.html#n0">00323</a>   <font class="keywordtype">short</font> <a class="code" href="classTangoTest_1_1TangoTest.html#n0">mthreaded_impl</a>;
00324   <font class="comment">// Device property: data generation period (in ms)</font>
<a name="l00325"></a><a class="code" href="classTangoTest_1_1TangoTest.html#n1">00325</a>   <font class="keywordtype">long</font> <a class="code" href="classTangoTest_1_1TangoTest.html#n1">sleep_period</a>;
00326   <font class="comment">//- A mutex to protect the device against race conditions</font>
<a name="l00327"></a><a class="code" href="classTangoTest_1_1TangoTest.html#n2">00327</a>   omni_mutex <a class="code" href="classTangoTest_1_1TangoTest.html#n2">lock</a>;
00328   <font class="comment">// The data generator (thread)</font>
<a name="l00329"></a><a class="code" href="classTangoTest_1_1TangoTest.html#n3">00329</a>   <a class="code" href="classTangoTest_1_1TangoTest.html#l0">DataGenerator</a>* <a class="code" href="classTangoTest_1_1TangoTest.html#n3">data_gen</a>;
00330 };
00331 
00332 }       <font class="comment">// namespace</font>
00333 
00334 <font class="preprocessor">#endif  // _TANGOTEST_H</font>
</pre></div><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
